/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package workers;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

public class WorkerInGeneralTest {
    WorkerInGeneral workin1 = new WorkerInGeneral("Roman", "WorkerInGeneral", 15000);
    WorkerInGeneral workin2 = new WorkerInGeneral("Ivan", "WorkerInGeneral", 12000);
    Worker worker = new Worker();

    @Test void salaryTest() {
        assertEquals(15000, workin1.getSalary(), "work correct");
    }

    @Test void charmetodTest() {
        assertEquals("Hi! I can work!", workin1.workerInGeneral(), "work correct");
    }

    @Test void equalsTest() {
        assertEquals(false, workin1.equals(workin2), "work correct");
    }

    @Test void hashCodeTest() {
        assertNotEquals(workin1.hashCode(),workin2.hashCode());
    }
}
